# -*- coding: utf-8 -*-

"""sftp tools"""


# ----------------------- Imports --------------------------------
from pathlib import Path
import stat

#--------------------------Functions------------------------------

def sftp_walk(self, remotepath):
    """
    Kindof a stripped down version of os.walk, implemented for sftp.
    """
    remotepath = remotepath.replace('\\', '/')
    path = remotepath
    files = []
    folders = []
    for f in self.listdir_iter(remotepath):
        if stat.S_ISDIR(f.st_mode):
            folders.append(f.filename)
        else:
            files.append(f.filename)
    #  print(path, folders, files)
    yield path, folders, files
    for folder in folders:
        new_path = str(Path(remotepath).joinpath(folder))
        for x in sftp_walk(self, new_path):
            yield x